# std::_Safe_tuple_element_impl< __i, _Tuple, false > Struct Template Reference

List of all members.

## Detailed Description

### template<int __i, typename _Tuple>
struct std::_Safe_tuple_element_impl< __i, _Tuple, false >

Implementation helper for _Safe_tuple_element. This partial specialization handles the case where it is not safe to use `tuple_element`. We just return `_No_tuple_element`.

Definition at line 925 of file tr1_impl/functional.

## Public Types

- typedef _No_tuple_element type

The documentation for this struct was generated from the following file:

- tr1_impl/functional